# Contributing to Notific8

## Contributing

### Core Notific8 project

Want to contribute some code to the core project? If so, here are some guidelines:

* Fork the project and create a feature branch
* Ensure existing tests continue to pass and write new ones as appropriate
* When creating a pull request, make sure that the request is to be merged into develop
    * If the pull request fixes an issue, be sure to mark that issue in the commit message as `Fixes #[issue number]`
* Make sure all CSS code is written in Sass creating new partials if appropriate
* Don't use a different language other than the projects or modify the build tasks
* Be willing and able to answer any questions asked in comments on the pull request in a timely manner

### Notific8 modules and themes

Have you created a module or theme for Notific8 and would like to have it listed in the README, please open a new issue and include the text `[Module]` or `[Theme]` at the beginning of the issue title. You must include a link to the project (preferably on GitHub) with tests written and passing, JavaScript code written is ES2016+ and targeting ES5, and CSS written in Sass (SCSS format). Please be willing and able to answer any questions asked in comments on the pull request in a timely manner.

## Bug Reports

When filing a bug report, please be sure to include enough detail to reproduce the error including (but not limited to):

* Browsers where the bug occurs including version numbers
* Frameworks being used on site (both JavaScript and CSS) that is making use of Notific8
* Screenshots for visual bugs
* Full console output including line numbers
